Subject: Re: Singapore ISDA MASTER AGREEMENT
From: [email-masked]
To: [email-masked]
Cc: [email-masked], [email-masked], [email-masked]
Date: Fri, 16 Mar 2001 03:27:00 -0800 (PST)

I suggest you work through Matthew Dawson in the London legal department.  
They should be able to help you.

	Angeline Poon
	03/16/2001 12:22 AM
		 
		 To: Mark Taylor/HOU/ECT@ECT
		 cc: 
		 Subject: Re: Singapore ISDA MASTER AGREEMENT

Hi Mark

I would be grateful if you could please let us know which paralegal has been 
assigned to assist in the matter.   

We have just signed an ISDA Master Agreement with Caltex Trading Pte Ltd and 
the same has to be executed by an officer of Enron Capital & Trade Resources 
International Corp.

Many thanks
Angie

---------------------- Forwarded by Angeline Poon/SIN/ECT on 03/16/2001 02:13 
PM ---------------------------

Matthias Lee
11/22/2000 10:47 AM
To: Mark Taylor/HOU/ECT@ECT
cc: David Minns/ENRON_DEVELOPMENT@ENRON_DEVELOPMENT, Robert 
McGrory/ENRON_DEVELOPMENT@ENRON_DEVELOPMENT, Angeline Poon/SIN/ECT@ECT, 
Matthias Lee/SIN/ECT@ECT 

Subject: Re: Singapore ISDA MASTER AGREEMENT

Hi Mark

Please let me know which paralegal has been assigned to assist in this 
matter. Thanks.

Regards
Matt

---------------------- Forwarded by Angeline Poon/SIN/ECT on 11/22/2000 10:16 
AM ---------------------------
From: Tana Jones on 11/17/2000 04:42 AM
To: Angeline Poon/SIN/ECT@ECT
cc: Mark Taylor/HOU/ECT@ECT 

Subject: Re: Singapore ISDA MASTER AGREEMENT  

I have passed your request to Mark Taylor to assign to another paralegal.  I 
no longer handle the day to day swap work, I am working on Online 
predominately now.  By copy of this email, I will ask Mark to let you know 
what paralegal he has assigned this to.

	Angeline Poon
	11/15/2000 03:25 AM
		 
		 To: Tana Jones/HOU/ECT@ECT
		 cc: 
		 Subject: ISDA MASTER AGREEMENT

Hi Tana -

We are trying to put in place an ISDA Master Agreement between Enron 
Australia Finance Pty Ltd and Enron Capital & Trade Resources International 
Corp (Singapore Branch).    Enron Australia has already signed on the 
document. Can we send it to you to help us get the necessary signatures for 
ECTRIC (Singapore Branch)?

I have prepared the following documents but not sure if they are most up to 
date:

1. Certificate of Assistant Secretary

2. Certificate of Secretary

3. Unanimous Consent of Directors (this is incomplete cos I am not sure of 
the part starting from RESOLVED ..)

Is there any other documents that I have missed out?  Would appreciate your 
help and guidance whether I have done the above correctly.  If there is 
anything incorrect, please guide me accordingly.

Many thanks
Angie